from dataclasses import dataclass, field
from typing import List

from .model import Model

@dataclass
class ChannelItem(Model):
    """ChannelItem class. Used in search."""

    author: str=""
    authorId: str=""
    authorUrl: str=""
    authorVerified: bool=False
    authorThumbnails: List[dict]=field(
        default_factory=lambda: list()
    )

    autoGenerated: bool=False
    channelHandle: str=""

    subCount: int=0
    videoCount: int=0

    description: str=""
    descriptionHtml: str=""

